visNetwork-collapse {visNetwork} | R Documentation

## Network visualization collapse / uncollapsed method

### Description

Network visualization collapse / uncollapsed method

### Usage

    visCollapse(graph, nodes, fit = FALSE, resetHighlight = TRUE,
      clusterOptions = NULL)

    visUncollapse(graph, nodes = NULL, fit = FALSE, resetHighlight = TRUE)

### Arguments

`graph` | : a `visNetworkProxy` object
`nodes` | : a vector of nodes id. NULL for `visUncollapse` for open all collapsed nodes
`fit` | : Optional. Boolean. Default to FALSE. Call fit method after collapse/uncollapse event ?
`resetHighlight` | : Optional. Boolean. Default to TRUE to reset highlighted nodes after collapse/uncollapse event.
`clusterOptions` | : Optional. List. Defaut to NULL. A list of all options you want to pass to cluster collapsed node

### References

See online documentation http://datastorm-open.github.io/visNetwork/

### See Also

visNodes for nodes options, visEdges for edges options, visGroups for groups options, visLegend for adding legend, visOptions for custom option, visLayout & visHierarchicalLayout for layout, visPhysics for control physics, visInteraction for interaction, visNetworkProxy & visFocus & visFit for animation within shiny, visDocumentation, visEvents, visConfigure ...

### Examples

    ## Not run:

    # have a look to :

    shiny::runApp(system.file("shiny", package = "visNetwork"))

    # You can also disable / enabled the double-click event opening cluster
    visNetworkProxy("network_id") %>% visEvents(type = "off", doubleClick = "networkOpenCluster")
    visNetworkProxy("network_id") %>% visEvents(type = "on", doubleClick = "networkOpenCluster")

    ## End(Not run)

[Package visNetwork version 2.0.1 Index]